//
//  AppDelegate.swift
//  Chat (iOS)
//
//  Created by Sergey Tarasov on 09.10.2022.
//

import UIKit
import SwiftUI
import XMPPFramework

@main
class AppDelegate: UIResponder, UIApplicationDelegate {
	
	var window: UIWindow?

	func application(
		_ application: UIApplication,
		didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey : Any]? = nil
	) -> Bool {

		window = UIWindow(frame: UIScreen.main.bounds)
		window?.rootViewController = UIHostingController(rootView: ContentView())
		window?.makeKeyAndVisible()

		DDLog.add(DDOSLogger.sharedInstance, with: DDLogLevel.all)

		return true
	}

}
