//
//  User.swift
//  Chat (iOS)
//
//  Created by Sergey Tarasov on 17.08.2022.
//

import Foundation
import XMPPFramework
import XMPPFrameworkSwift

struct User {
    let jidString: String
    let nickname: String
}

extension User {
    var jid: XMPPJID {
        guard let jid = XMPPJID(string: jidString) else { return XMPPJID() }
        return jid
    }
}
