//
//  Message.swift
//  Chat (iOS)
//
//  Created by Sergey Tarasov on 13.10.2022.
//

import Foundation

struct Message {
	let id: String
	let body: String
	let fromID: String
}

extension Message: Equatable {
	static func == (lhs: Message, rhs: Message) -> Bool {
		return lhs.id == rhs.id
	}
}
