//
//  Room.swift
//  Chat (iOS)
//
//  Created by Sergey Tarasov on 17.08.2022.
//

import Foundation
import XMPPFramework
import XMPPFrameworkSwift

struct Room {
    let jidString: String
    let name: String
    var messages: [XMPPMessage] = []
}

extension Room {
    var jid: XMPPJID {
        guard let jid = XMPPJID(string: jidString) else { return XMPPJID() }
        return jid
    }
}
